%define upstream_name    SDLx-Betweener
%define upstream_version 0.0105

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    SDL Perl XS Tweening Animation Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SDLx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::SDL) >= 1.430.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(SDL) >= 2.536.0
BuildRequires: perl-devel
BuildRequires: gcc-c++
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel

# no deps from doc:
%{?perl_default_filter}

%description
'SDLx::Betweener' is a library for animating Perl SDL elements. It lets you
move game objects (GOBs) around in various ways, rotate and scale things,
animate sprites and colors, make GOBs spawn at a given rate, and generally
bring about changes in the game over time. It lets you do these things
declaratively, without writing complex 'SDLx::Controller'
'move_handlers()'.

See the /WHY manpage and the /FEATURES manpage for an introduction to
tweening, or continue for the technical details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc LICENSE
%doc Changes META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.10.500-5pclos2017
- rebuild against updates

